### Navigation

- index
- modules |
- next |
- previous |
- IPython 0.10.2 documentation »
- The IPython API »

# kernel.client

## Module: `kernel.client`

This module contains blocking clients for the controller interfaces.

Unlike the clients in asyncclient.py, the clients in this module are fully blocking. This means that methods on the clients return the actual results rather than a deferred to the result. Also, we manage the Twisted reactor for you. This is done by running the reactor in a thread.

The main classes in this module are:

> - MultiEngineClient
> - TaskClient
> - Task
> - CompositeError

## Functions

`IPython.kernel.client.``get_multiengine_client`()

  Get the blocking MultiEngine client.

  Parameters :

  furl_or_file : str

    A furl or a filename containing a furl. If empty, the default furl_file will be used

  Returns : | The connected MultiEngineClient instance

`IPython.kernel.client.``get_task_client`()

  Get the blocking Task client.

  Parameters :

  furl_or_file : str

    A furl or a filename containing a furl. If empty, the default furl_file will be used

  Returns : | The connected TaskClient instance

### Navigation

- index
- modules |
- next |
- previous |
- IPython 0.10.2 documentation »
- The IPython API »